<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: container   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Container&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_container.html">container</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: container
                    


                    </h3>
                    <div class="description summary">
                        The Container family of components is designed to enable developers to create different kinds of content-containing modules on the web. Module and Overlay are the most basic containers, and they can be used directly or extended to build custom containers. Also part of the Container family are four UI controls that extend Module and Overlay: Tooltip, Panel, Dialog, and SimpleDialog.
                    </div>

                    <form onsubmit="return false">
                        <p>Search container:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.widget.OverlayManager.html#activeOverlay", "host": "YAHOO.widget.OverlayManager", "name": "activeOverlay"}, {"url": "YAHOO.util.Config.html#addProperty", "host": "YAHOO.util.Config", "name": "addProperty"}, {"url": "YAHOO.widget.Overlay.html#align", "host": "YAHOO.widget.Overlay", "name": "align"}, {"url": "YAHOO.widget.ContainerEffect.html#animateIn", "host": "YAHOO.widget.ContainerEffect", "name": "animateIn"}, {"url": "YAHOO.widget.ContainerEffect.html#animateOut", "host": "YAHOO.widget.ContainerEffect", "name": "animateOut"}, {"url": "YAHOO.widget.ContainerEffect.html#animClass", "host": "YAHOO.widget.ContainerEffect", "name": "animClass"}, {"url": "YAHOO.widget.Module.html#appendEvent", "host": "YAHOO.widget.Module", "name": "appendEvent"}, {"url": "YAHOO.widget.Module.html#appendToBody", "host": "YAHOO.widget.Module", "name": "appendToBody"}, {"url": "YAHOO.widget.Module.html#appendToFooter", "host": "YAHOO.widget.Module", "name": "appendToFooter"}, {"url": "YAHOO.widget.Module.html#appendToHeader", "host": "YAHOO.widget.Module", "name": "appendToHeader"}, {"url": "YAHOO.util.Config.html#applyConfig", "host": "YAHOO.util.Config", "name": "applyConfig"}, {"url": "YAHOO.widget.Dialog.html#asyncSubmitEvent", "host": "YAHOO.widget.Dialog", "name": "asyncSubmitEvent"}, {"url": "YAHOO.widget.ContainerEffect.html#attrIn", "host": "YAHOO.widget.ContainerEffect", "name": "attrIn"}, {"url": "YAHOO.widget.ContainerEffect.html#attrOut", "host": "YAHOO.widget.ContainerEffect", "name": "attrOut"}, {"url": "YAHOO.widget.Tooltip.html#autodismissdelay", "host": "YAHOO.widget.Tooltip", "name": "autodismissdelay"}, {"url": "YAHOO.widget.Module.html#beforeHideEvent", "host": "YAHOO.widget.Module", "name": "beforeHideEvent"}, {"url": "YAHOO.widget.Module.html#beforeInitEvent", "host": "YAHOO.widget.Module", "name": "beforeInitEvent"}, {"url": "YAHOO.widget.Overlay.html#beforeMoveEvent", "host": "YAHOO.widget.Overlay", "name": "beforeMoveEvent"}, {"url": "YAHOO.widget.Module.html#beforeRenderEvent", "host": "YAHOO.widget.Module", "name": "beforeRenderEvent"}, {"url": "YAHOO.widget.Module.html#beforeShowEvent", "host": "YAHOO.widget.Module", "name": "beforeShowEvent"}, {"url": "YAHOO.widget.Dialog.html#beforeSumitEvent", "host": "YAHOO.widget.Dialog", "name": "beforeSumitEvent"}, {"url": "YAHOO.widget.OverlayManager.html#blurAll", "host": "YAHOO.widget.OverlayManager", "name": "blurAll"}, {"url": "YAHOO.widget.Dialog.html#blurButtons", "host": "YAHOO.widget.Dialog", "name": "blurButtons"}, {"url": "YAHOO.widget.Module.html#body", "host": "YAHOO.widget.Module", "name": "body"}, {"url": "YAHOO.widget.Module.html#browser", "host": "YAHOO.widget.Module", "name": "browser"}, {"url": "YAHOO.widget.Panel.html#buildMask", "host": "YAHOO.widget.Panel", "name": "buildMask"}, {"url": "YAHOO.widget.Panel.html#buildWrapper", "host": "YAHOO.widget.Panel", "name": "buildWrapper"}, {"url": "YAHOO.widget.Dialog.html#buttons", "host": "YAHOO.widget.Dialog", "name": "buttons"}, {"url": "YAHOO.widget.Dialog.html#callback", "host": "YAHOO.widget.Dialog", "name": "callback"}, {"url": "YAHOO.widget.Dialog.html#callback.argument", "host": "YAHOO.widget.Dialog", "name": "callback.argument"}, {"url": "YAHOO.widget.Dialog.html#callback.failure", "host": "YAHOO.widget.Dialog", "name": "callback.failure"}, {"url": "YAHOO.widget.Dialog.html#callback.success", "host": "YAHOO.widget.Dialog", "name": "callback.success"}, {"url": "YAHOO.widget.Dialog.html#cancel", "host": "YAHOO.widget.Dialog", "name": "cancel"}, {"url": "YAHOO.widget.Dialog.html#cancelEvent", "host": "YAHOO.widget.Dialog", "name": "cancelEvent"}, {"url": "YAHOO.widget.Overlay.html#center", "host": "YAHOO.widget.Overlay", "name": "center"}, {"url": "YAHOO.widget.Module.html#cfg", "host": "YAHOO.widget.Module", "name": "cfg"}, {"url": "YAHOO.widget.OverlayManager.html#cfg", "host": "YAHOO.widget.OverlayManager", "name": "cfg"}, {"url": "YAHOO.widget.Module.html#changeBodyEvent", "host": "YAHOO.widget.Module", "name": "changeBodyEvent"}, {"url": "YAHOO.widget.Module.html#changeContentEvent", "host": "YAHOO.widget.Module", "name": "changeContentEvent"}, {"url": "YAHOO.widget.Module.html#changeFooterEvent", "host": "YAHOO.widget.Module", "name": "changeFooterEvent"}, {"url": "YAHOO.widget.Module.html#changeHeaderEvent", "host": "YAHOO.widget.Module", "name": "changeHeaderEvent"}, {"url": "YAHOO.util.Config.html#checkBoolean", "host": "YAHOO.util.Config", "name": "checkBoolean"}, {"url": "YAHOO.util.Config.html#checkNumber", "host": "YAHOO.util.Config", "name": "checkNumber"}, {"url": "YAHOO.widget.Panel.html#close", "host": "YAHOO.widget.Panel", "name": "close"}, {"url": "YAHOO.widget.OverlayManager.html#compareZIndexDesc", "host": "YAHOO.widget.OverlayManager", "name": "compareZIndexDesc"}, {"url": "YAHOO.util.Config.html#config", "host": "YAHOO.util.Config", "name": "config"}, {"url": "YAHOO.widget.Dialog.html#configButtons", "host": "YAHOO.widget.Dialog", "name": "configButtons"}, {"url": "YAHOO.util.Config.html#configChangedEvent", "host": "YAHOO.util.Config", "name": "configChangedEvent"}, {"url": "YAHOO.widget.Dialog.html#configClose", "host": "YAHOO.widget.Dialog", "name": "configClose"}, {"url": "YAHOO.widget.Panel.html#configClose", "host": "YAHOO.widget.Panel", "name": "configClose"}, {"url": "YAHOO.widget.Overlay.html#configConstrainToViewport", "host": "YAHOO.widget.Overlay", "name": "configConstrainToViewport"}, {"url": "YAHOO.widget.Tooltip.html#configContainer", "host": "YAHOO.widget.Tooltip", "name": "configContainer"}, {"url": "YAHOO.widget.Overlay.html#configContext", "host": "YAHOO.widget.Overlay", "name": "configContext"}, {"url": "YAHOO.widget.Tooltip.html#configContext", "host": "YAHOO.widget.Tooltip", "name": "configContext"}, {"url": "YAHOO.widget.Panel.html#configDraggable", "host": "YAHOO.widget.Panel", "name": "configDraggable"}, {"url": "YAHOO.widget.Overlay.html#configFixedCenter", "host": "YAHOO.widget.Overlay", "name": "configFixedCenter"}, {"url": "YAHOO.widget.Overlay.html#configHeight", "host": "YAHOO.widget.Overlay", "name": "configHeight"}, {"url": "YAHOO.widget.Panel.html#configHeight", "host": "YAHOO.widget.Panel", "name": "configHeight"}, {"url": "YAHOO.widget.SimpleDialog.html#configIcon", "host": "YAHOO.widget.SimpleDialog", "name": "configIcon"}, {"url": "YAHOO.widget.Overlay.html#configIframe", "host": "YAHOO.widget.Overlay", "name": "configIframe"}, {"url": "YAHOO.widget.Panel.html#configKeyListeners", "host": "YAHOO.widget.Panel", "name": "configKeyListeners"}, {"url": "YAHOO.widget.Panel.html#configModal", "host": "YAHOO.widget.Panel", "name": "configModal"}, {"url": "YAHOO.widget.Module.html#configMonitorResize", "host": "YAHOO.widget.Module", "name": "configMonitorResize"}, {"url": "YAHOO.widget.Dialog.html#configPostMethod", "host": "YAHOO.widget.Dialog", "name": "configPostMethod"}, {"url": "YAHOO.widget.SimpleDialog.html#configText", "host": "YAHOO.widget.SimpleDialog", "name": "configText"}, {"url": "YAHOO.widget.Tooltip.html#configText", "host": "YAHOO.widget.Tooltip", "name": "configText"}, {"url": "YAHOO.widget.Panel.html#configUnderlay", "host": "YAHOO.widget.Panel", "name": "configUnderlay"}, {"url": "YAHOO.widget.Module.html#configVisible", "host": "YAHOO.widget.Module", "name": "configVisible"}, {"url": "YAHOO.widget.Overlay.html#configVisible", "host": "YAHOO.widget.Overlay", "name": "configVisible"}, {"url": "YAHOO.widget.Overlay.html#configWidth", "host": "YAHOO.widget.Overlay", "name": "configWidth"}, {"url": "YAHOO.widget.Panel.html#configWidth", "host": "YAHOO.widget.Panel", "name": "configWidth"}, {"url": "YAHOO.widget.Overlay.html#configX", "host": "YAHOO.widget.Overlay", "name": "configX"}, {"url": "YAHOO.widget.Overlay.html#configXY", "host": "YAHOO.widget.Overlay", "name": "configXY"}, {"url": "YAHOO.widget.Overlay.html#configY", "host": "YAHOO.widget.Overlay", "name": "configY"}, {"url": "YAHOO.widget.Overlay.html#configzIndex", "host": "YAHOO.widget.Overlay", "name": "configzIndex"}, {"url": "YAHOO.widget.Panel.html#configzIndex", "host": "YAHOO.widget.Panel", "name": "configzIndex"}, {"url": "YAHOO.widget.Overlay.html#constraintoviewport", "host": "YAHOO.widget.Overlay", "name": "constraintoviewport"}, {"url": "YAHOO.widget.Tooltip.html#container", "host": "YAHOO.widget.Tooltip", "name": "container"}, {"url": "YAHOO.widget.Overlay.html#context", "host": "YAHOO.widget.Overlay", "name": "context"}, {"url": "YAHOO.widget.Tooltip.html#context", "host": "YAHOO.widget.Tooltip", "name": "context"}, {"url": "YAHOO.widget.Module.html#contructor", "host": "YAHOO.widget.Module", "name": "contructor"}, {"url": "YAHOO.widget.OverlayManager.html#contructor", "host": "YAHOO.widget.OverlayManager", "name": "contructor"}, {"url": "YAHOO.widget.Module.html#destroy", "host": "YAHOO.widget.Module", "name": "destroy"}, {"url": "YAHOO.widget.Overlay.html#destroy", "host": "YAHOO.widget.Overlay", "name": "destroy"}, {"url": "YAHOO.widget.Module.html#destroyEvent", "host": "YAHOO.widget.Module", "name": "destroyEvent"}, {"url": "YAHOO.util.KeyListener.html#disable", "host": "YAHOO.util.KeyListener", "name": "disable"}, {"url": "YAHOO.util.KeyListener.html#disabledEvent", "host": "YAHOO.util.KeyListener", "name": "disabledEvent"}, {"url": "YAHOO.widget.Overlay.html#doCenterOnDOMEvent", "host": "YAHOO.widget.Overlay", "name": "doCenterOnDOMEvent"}, {"url": "YAHOO.widget.Tooltip.html#doHide", "host": "YAHOO.widget.Tooltip", "name": "doHide"}, {"url": "YAHOO.widget.Tooltip.html#doShow", "host": "YAHOO.widget.Tooltip", "name": "doShow"}, {"url": "YAHOO.widget.Dialog.html#doSubmit", "host": "YAHOO.widget.Dialog", "name": "doSubmit"}, {"url": "YAHOO.widget.Panel.html#dragEvent", "host": "YAHOO.widget.Panel", "name": "dragEvent"}, {"url": "YAHOO.widget.Panel.html#draggable", "host": "YAHOO.widget.Panel", "name": "draggable"}, {"url": "YAHOO.widget.Module.html#effect", "host": "YAHOO.widget.Module", "name": "effect"}, {"url": "YAHOO.widget.Module.html#element", "host": "YAHOO.widget.Module", "name": "element"}, {"url": "YAHOO.util.KeyListener.html#enable", "host": "YAHOO.util.KeyListener", "name": "enable"}, {"url": "YAHOO.util.KeyListener.html#enabled", "host": "YAHOO.util.KeyListener", "name": "enabled"}, {"url": "YAHOO.util.KeyListener.html#enabledEvent", "host": "YAHOO.util.KeyListener", "name": "enabledEvent"}, {"url": "YAHOO.widget.Overlay.html#enforceConstraints", "host": "YAHOO.widget.Overlay", "name": "enforceConstraints"}, {"url": "YAHOO.util.Config.html#eventQueue", "host": "YAHOO.util.Config", "name": "eventQueue"}, {"url": "YAHOO.widget.ContainerEffect.html#FADE", "host": "YAHOO.widget.ContainerEffect", "name": "FADE"}, {"url": "YAHOO.widget.OverlayManager.html#find", "host": "YAHOO.widget.OverlayManager", "name": "find"}, {"url": "YAHOO.util.Config.html#fireEvent", "host": "YAHOO.util.Config", "name": "fireEvent"}, {"url": "YAHOO.util.Config.html#fireQueue", "host": "YAHOO.util.Config", "name": "fireQueue"}, {"url": "YAHOO.widget.Overlay.html#fixedcenter", "host": "YAHOO.widget.Overlay", "name": "fixedcenter"}, {"url": "YAHOO.widget.OverlayManager.html#focus", "host": "YAHOO.widget.OverlayManager", "name": "focus"}, {"url": "YAHOO.widget.Dialog.html#focusDefaultButton", "host": "YAHOO.widget.Dialog", "name": "focusDefaultButton"}, {"url": "YAHOO.widget.OverlayManager.html#focusevent", "host": "YAHOO.widget.OverlayManager", "name": "focusevent"}, {"url": "YAHOO.widget.Dialog.html#focusFirst", "host": "YAHOO.widget.Dialog", "name": "focusFirst"}, {"url": "YAHOO.widget.Dialog.html#focusFirstButton", "host": "YAHOO.widget.Dialog", "name": "focusFirstButton"}, {"url": "YAHOO.widget.Dialog.html#focusLast", "host": "YAHOO.widget.Dialog", "name": "focusLast"}, {"url": "YAHOO.widget.Dialog.html#focusLastButton", "host": "YAHOO.widget.Dialog", "name": "focusLastButton"}, {"url": "YAHOO.widget.Module.html#footer", "host": "YAHOO.widget.Module", "name": "footer"}, {"url": "YAHOO.widget.Dialog.html#formSubmitEvent", "host": "YAHOO.widget.Dialog", "name": "formSubmitEvent"}, {"url": "YAHOO.widget.OverlayManager.html#getActive", "host": "YAHOO.widget.OverlayManager", "name": "getActive"}, {"url": "YAHOO.util.Config.html#getConfig", "host": "YAHOO.util.Config", "name": "getConfig"}, {"url": "YAHOO.widget.Dialog.html#getData", "host": "YAHOO.widget.Dialog", "name": "getData"}, {"url": "YAHOO.util.Config.html#getProperty", "host": "YAHOO.util.Config", "name": "getProperty"}, {"url": "YAHOO.widget.ContainerEffect.html#handleCompleteAnimateIn", "host": "YAHOO.widget.ContainerEffect", "name": "handleCompleteAnimateIn"}, {"url": "YAHOO.widget.ContainerEffect.html#handleCompleteAnimateOut", "host": "YAHOO.widget.ContainerEffect", "name": "handleCompleteAnimateOut"}, {"url": "YAHOO.util.KeyListener.html#handleKeyPress", "host": "YAHOO.util.KeyListener", "name": "handleKeyPress"}, {"url": "YAHOO.widget.ContainerEffect.html#handleStartAnimateIn", "host": "YAHOO.widget.ContainerEffect", "name": "handleStartAnimateIn"}, {"url": "YAHOO.widget.ContainerEffect.html#handleStartAnimateOut", "host": "YAHOO.widget.ContainerEffect", "name": "handleStartAnimateOut"}, {"url": "YAHOO.widget.ContainerEffect.html#handleTweenAnimateIn", "host": "YAHOO.widget.ContainerEffect", "name": "handleTweenAnimateIn"}, {"url": "YAHOO.widget.ContainerEffect.html#handleTweenAnimateOut", "host": "YAHOO.widget.ContainerEffect", "name": "handleTweenAnimateOut"}, {"url": "YAHOO.widget.Module.html#header", "host": "YAHOO.widget.Module", "name": "header"}, {"url": "YAHOO.widget.Overlay.html#height", "host": "YAHOO.widget.Overlay", "name": "height"}, {"url": "YAHOO.widget.Module.html#hide", "host": "YAHOO.widget.Module", "name": "hide"}, {"url": "YAHOO.widget.OverlayManager.html#hideAll", "host": "YAHOO.widget.OverlayManager", "name": "hideAll"}, {"url": "YAHOO.widget.Tooltip.html#hidedelay", "host": "YAHOO.widget.Tooltip", "name": "hidedelay"}, {"url": "YAHOO.widget.Module.html#hideEvent", "host": "YAHOO.widget.Module", "name": "hideEvent"}, {"url": "YAHOO.widget.Overlay.html#hideIframe", "host": "YAHOO.widget.Overlay", "name": "hideIframe"}, {"url": "YAHOO.widget.Overlay.html#hideMacGeckoScrollbars", "host": "YAHOO.widget.Overlay", "name": "hideMacGeckoScrollbars"}, {"url": "YAHOO.widget.Panel.html#hideMask", "host": "YAHOO.widget.Panel", "name": "hideMask"}, {"url": "YAHOO.widget.Panel.html#hideMaskEvent", "host": "YAHOO.widget.Panel", "name": "hideMaskEvent"}, {"url": "YAHOO.widget.SimpleDialog.html#icon", "host": "YAHOO.widget.SimpleDialog", "name": "icon"}, {"url": "YAHOO.widget.Module.html#id", "host": "YAHOO.widget.Module", "name": "id"}, {"url": "YAHOO.widget.Overlay.html#iframe", "host": "YAHOO.widget.Overlay", "name": "iframe"}, {"url": "YAHOO.widget.Module.html#imageRoot", "host": "YAHOO.widget.Module", "name": "imageRoot"}, {"url": "YAHOO.util.Config.html#init", "host": "YAHOO.util.Config", "name": "init"}, {"url": "YAHOO.widget.ContainerEffect.html#init", "host": "YAHOO.widget.ContainerEffect", "name": "init"}, {"url": "YAHOO.widget.Dialog.html#init", "host": "YAHOO.widget.Dialog", "name": "init"}, {"url": "YAHOO.widget.Module.html#init", "host": "YAHOO.widget.Module", "name": "init"}, {"url": "YAHOO.widget.Overlay.html#init", "host": "YAHOO.widget.Overlay", "name": "init"}, {"url": "YAHOO.widget.OverlayManager.html#init", "host": "YAHOO.widget.OverlayManager", "name": "init"}, {"url": "YAHOO.widget.Panel.html#init", "host": "YAHOO.widget.Panel", "name": "init"}, {"url": "YAHOO.widget.SimpleDialog.html#init", "host": "YAHOO.widget.SimpleDialog", "name": "init"}, {"url": "YAHOO.widget.Tooltip.html#init", "host": "YAHOO.widget.Tooltip", "name": "init"}, {"url": "YAHOO.widget.Dialog.html#initDefaultConfig", "host": "YAHOO.widget.Dialog", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Module.html#initDefaultConfig", "host": "YAHOO.widget.Module", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Overlay.html#initDefaultConfig", "host": "YAHOO.widget.Overlay", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.OverlayManager.html#initDefaultConfig", "host": "YAHOO.widget.OverlayManager", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Panel.html#initDefaultConfig", "host": "YAHOO.widget.Panel", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.SimpleDialog.html#initDefaultConfig", "host": "YAHOO.widget.SimpleDialog", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Tooltip.html#initDefaultConfig", "host": "YAHOO.widget.Tooltip", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Module.html#initEvent", "host": "YAHOO.widget.Module", "name": "initEvent"}, {"url": "YAHOO.widget.Dialog.html#initEvents", "host": "YAHOO.widget.Dialog", "name": "initEvents"}, {"url": "YAHOO.widget.Module.html#initEvents", "host": "YAHOO.widget.Module", "name": "initEvents"}, {"url": "YAHOO.widget.Overlay.html#initEvents", "host": "YAHOO.widget.Overlay", "name": "initEvents"}, {"url": "YAHOO.widget.Panel.html#initEvents", "host": "YAHOO.widget.Panel", "name": "initEvents"}, {"url": "YAHOO.util.Config.html#initialConfig", "host": "YAHOO.util.Config", "name": "initialConfig"}, {"url": "YAHOO.widget.Module.html#initResizeMonitor", "host": "YAHOO.widget.Module", "name": "initResizeMonitor"}, {"url": "YAHOO.widget.Module.html#isSecure", "host": "YAHOO.widget.Module", "name": "isSecure"}, {"url": "YAHOO.util.KeyListener.html#keyEvent", "host": "YAHOO.util.KeyListener", "name": "keyEvent"}, {"url": "YAHOO.widget.Panel.html#keylisteners", "host": "YAHOO.widget.Panel", "name": "keylisteners"}, {"url": "YAHOO.widget.Dialog.html#manualSubmitEvent", "host": "YAHOO.widget.Dialog", "name": "manualSubmitEvent"}, {"url": "YAHOO.widget.Panel.html#modal", "host": "YAHOO.widget.Panel", "name": "modal"}, {"url": "YAHOO.widget.Module.html#monitorresize", "host": "YAHOO.widget.Module", "name": "monitorresize"}, {"url": "YAHOO.widget.Overlay.html#moveEvent", "host": "YAHOO.widget.Overlay", "name": "moveEvent"}, {"url": "YAHOO.widget.Overlay.html#moveTo", "host": "YAHOO.widget.Overlay", "name": "moveTo"}, {"url": "YAHOO.widget.Tooltip.html#onContextMouseMove", "host": "YAHOO.widget.Tooltip", "name": "onContextMouseMove"}, {"url": "YAHOO.widget.Tooltip.html#onContextMouseOut", "host": "YAHOO.widget.Tooltip", "name": "onContextMouseOut"}, {"url": "YAHOO.widget.Tooltip.html#onContextMouseOver", "host": "YAHOO.widget.Tooltip", "name": "onContextMouseOver"}, {"url": "YAHOO.widget.Module.html#onDomResize", "host": "YAHOO.widget.Module", "name": "onDomResize"}, {"url": "YAHOO.widget.Overlay.html#onDomResize", "host": "YAHOO.widget.Overlay", "name": "onDomResize"}, {"url": "YAHOO.widget.Panel.html#onDomResize", "host": "YAHOO.widget.Panel", "name": "onDomResize"}, {"url": "YAHOO.util.Config.html#outputEventQueue", "host": "YAHOO.util.Config", "name": "outputEventQueue"}, {"url": "YAHOO.widget.ContainerEffect.html#overlay", "host": "YAHOO.widget.ContainerEffect", "name": "overlay"}, {"url": "YAHOO.widget.OverlayManager.html#overlays", "host": "YAHOO.widget.OverlayManager", "name": "overlays"}, {"url": "YAHOO.widget.OverlayManager.html#overlays", "host": "YAHOO.widget.OverlayManager", "name": "overlays"}, {"url": "YAHOO.util.Config.html#owner", "host": "YAHOO.util.Config", "name": "owner"}, {"url": "YAHOO.widget.Module.html#platform", "host": "YAHOO.widget.Module", "name": "platform"}, {"url": "YAHOO.widget.Dialog.html#postmethod", "host": "YAHOO.widget.Dialog", "name": "postmethod"}, {"url": "YAHOO.widget.Tooltip.html#preventoverlap", "host": "YAHOO.widget.Tooltip", "name": "preventoverlap"}, {"url": "YAHOO.widget.Tooltip.html#preventOverlay", "host": "YAHOO.widget.Tooltip", "name": "preventOverlay"}, {"url": "YAHOO.util.Config.html#queueInProgress", "host": "YAHOO.util.Config", "name": "queueInProgress"}, {"url": "YAHOO.util.Config.html#queueProperty", "host": "YAHOO.util.Config", "name": "queueProperty"}, {"url": "YAHOO.util.Config.html#refireEvent", "host": "YAHOO.util.Config", "name": "refireEvent"}, {"url": "YAHOO.util.Config.html#refresh", "host": "YAHOO.util.Config", "name": "refresh"}, {"url": "YAHOO.widget.OverlayManager.html#register", "host": "YAHOO.widget.OverlayManager", "name": "register"}, {"url": "YAHOO.widget.Panel.html#registerDragDrop", "host": "YAHOO.widget.Panel", "name": "registerDragDrop"}, {"url": "YAHOO.widget.Dialog.html#registerForm", "host": "YAHOO.widget.Dialog", "name": "registerForm"}, {"url": "YAHOO.widget.SimpleDialog.html#registerForm", "host": "YAHOO.widget.SimpleDialog", "name": "registerForm"}, {"url": "YAHOO.widget.OverlayManager.html#remove", "host": "YAHOO.widget.OverlayManager", "name": "remove"}, {"url": "YAHOO.widget.Panel.html#removeMask", "host": "YAHOO.widget.Panel", "name": "removeMask"}, {"url": "YAHOO.widget.Module.html#render", "host": "YAHOO.widget.Module", "name": "render"}, {"url": "YAHOO.widget.Panel.html#render", "host": "YAHOO.widget.Panel", "name": "render"}, {"url": "YAHOO.widget.Module.html#renderEvent", "host": "YAHOO.widget.Module", "name": "renderEvent"}, {"url": "YAHOO.util.Config.html#resetProperty", "host": "YAHOO.util.Config", "name": "resetProperty"}, {"url": "YAHOO.widget.Module.html#setBody", "host": "YAHOO.widget.Module", "name": "setBody"}, {"url": "YAHOO.widget.Module.html#setFooter", "host": "YAHOO.widget.Module", "name": "setFooter"}, {"url": "YAHOO.widget.Module.html#setHeader", "host": "YAHOO.widget.Module", "name": "setHeader"}, {"url": "YAHOO.util.Config.html#setProperty", "host": "YAHOO.util.Config", "name": "setProperty"}, {"url": "YAHOO.widget.Module.html#show", "host": "YAHOO.widget.Module", "name": "show"}, {"url": "YAHOO.widget.OverlayManager.html#showAll", "host": "YAHOO.widget.OverlayManager", "name": "showAll"}, {"url": "YAHOO.widget.Tooltip.html#showdelay", "host": "YAHOO.widget.Tooltip", "name": "showdelay"}, {"url": "YAHOO.widget.Module.html#showEvent", "host": "YAHOO.widget.Module", "name": "showEvent"}, {"url": "YAHOO.widget.Overlay.html#showIframe", "host": "YAHOO.widget.Overlay", "name": "showIframe"}, {"url": "YAHOO.widget.Overlay.html#showMacGeckoScrollbars", "host": "YAHOO.widget.Overlay", "name": "showMacGeckoScrollbars"}, {"url": "YAHOO.widget.Panel.html#showMask", "host": "YAHOO.widget.Panel", "name": "showMask"}, {"url": "YAHOO.widget.Panel.html#showMaskEvent", "host": "YAHOO.widget.Panel", "name": "showMaskEvent"}, {"url": "YAHOO.widget.Tooltip.html#showProcId", "host": "YAHOO.widget.Tooltip", "name": "showProcId"}, {"url": "YAHOO.widget.Panel.html#sizeMask", "host": "YAHOO.widget.Panel", "name": "sizeMask"}, {"url": "YAHOO.widget.Panel.html#sizeUnderlay", "host": "YAHOO.widget.Panel", "name": "sizeUnderlay"}, {"url": "YAHOO.widget.ContainerEffect.html#SLIDE", "host": "YAHOO.widget.ContainerEffect", "name": "SLIDE"}, {"url": "YAHOO.widget.Dialog.html#submit", "host": "YAHOO.widget.Dialog", "name": "submit"}, {"url": "YAHOO.widget.Dialog.html#submitEvent", "host": "YAHOO.widget.Dialog", "name": "submitEvent"}, {"url": "YAHOO.util.Config.html#subscribeToConfigEvent", "host": "YAHOO.util.Config", "name": "subscribeToConfigEvent"}, {"url": "YAHOO.widget.Overlay.html#syncPosition", "host": "YAHOO.widget.Overlay", "name": "syncPosition"}, {"url": "YAHOO.widget.ContainerEffect.html#targetElement", "host": "YAHOO.widget.ContainerEffect", "name": "targetElement"}, {"url": "YAHOO.widget.SimpleDialog.html#text", "host": "YAHOO.widget.SimpleDialog", "name": "text"}, {"url": "YAHOO.widget.Tooltip.html#text", "host": "YAHOO.widget.Tooltip", "name": "text"}, {"url": "YAHOO.util.Config.html#toString", "host": "YAHOO.util.Config", "name": "toString"}, {"url": "YAHOO.widget.ContainerEffect.html#toString", "host": "YAHOO.widget.ContainerEffect", "name": "toString"}, {"url": "YAHOO.widget.Dialog.html#toString", "host": "YAHOO.widget.Dialog", "name": "toString"}, {"url": "YAHOO.util.KeyListener.html#toString", "host": "YAHOO.util.KeyListener", "name": "toString"}, {"url": "YAHOO.widget.Module.html#toString", "host": "YAHOO.widget.Module", "name": "toString"}, {"url": "YAHOO.widget.Overlay.html#toString", "host": "YAHOO.widget.Overlay", "name": "toString"}, {"url": "YAHOO.widget.OverlayManager.html#toString", "host": "YAHOO.widget.OverlayManager", "name": "toString"}, {"url": "YAHOO.widget.Panel.html#toString", "host": "YAHOO.widget.Panel", "name": "toString"}, {"url": "YAHOO.widget.SimpleDialog.html#toString", "host": "YAHOO.widget.SimpleDialog", "name": "toString"}, {"url": "YAHOO.widget.Tooltip.html#toString", "host": "YAHOO.widget.Tooltip", "name": "toString"}, {"url": "YAHOO.widget.Panel.html#underlay", "host": "YAHOO.widget.Panel", "name": "underlay"}, {"url": "YAHOO.util.Config.html#unsubscribeFromConfigEvent", "host": "YAHOO.util.Config", "name": "unsubscribeFromConfigEvent"}, {"url": "YAHOO.widget.Dialog.html#validate", "host": "YAHOO.widget.Dialog", "name": "validate"}, {"url": "YAHOO.widget.Module.html#visible", "host": "YAHOO.widget.Module", "name": "visible"}, {"url": "YAHOO.widget.Overlay.html#width", "host": "YAHOO.widget.Overlay", "name": "width"}, {"url": "YAHOO.widget.Overlay.html#x", "host": "YAHOO.widget.Overlay", "name": "x"}, {"url": "YAHOO.widget.Overlay.html#xy", "host": "YAHOO.widget.Overlay", "name": "xy"}, {"url": "YAHOO.widget.Overlay.html#y", "host": "YAHOO.widget.Overlay", "name": "y"}, {"url": "YAHOO.util.Config.html#YAHOO.util.Config.alreadySubscribed", "host": "YAHOO.util.Config", "name": "YAHOO.util.Config.alreadySubscribed"}, {"url": "YAHOO.util.KeyListener.html#YAHOO.util.KeyListener.KEYDOWN", "host": "YAHOO.util.KeyListener", "name": "YAHOO.util.KeyListener.KEYDOWN"}, {"url": "YAHOO.util.KeyListener.html#YAHOO.util.KeyListener.KEYUP", "host": "YAHOO.util.KeyListener", "name": "YAHOO.util.KeyListener.KEYUP"}, {"url": "YAHOO.widget.Dialog.html#YAHOO.widget.Dialog.CSS_DIALOG", "host": "YAHOO.widget.Dialog", "name": "YAHOO.widget.Dialog.CSS_DIALOG"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.CSS_BODY", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.CSS_BODY"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.CSS_FOOTER", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.CSS_FOOTER"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.CSS_HEADER", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.CSS_HEADER"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.CSS_MODULE", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.CSS_MODULE"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.IMG_ROOT", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.IMG_ROOT"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.IMG_ROOT_SSL", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.IMG_ROOT_SSL"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.RESIZE_MONITOR_SECURE_URL", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.RESIZE_MONITOR_SECURE_URL"}, {"url": "YAHOO.widget.Module.html#YAHOO.widget.Module.textResizeEvent", "host": "YAHOO.widget.Module", "name": "YAHOO.widget.Module.textResizeEvent"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.BOTTOM_LEFT", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.BOTTOM_LEFT"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.BOTTOM_RIGHT", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.BOTTOM_RIGHT"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.CSS_OVERLAY", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.CSS_OVERLAY"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.IFRAME_SRC", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.IFRAME_SRC"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay._initialized", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay._initialized"}, {"url": "YAHOO.widget.OverlayManager.html#YAHOO.widget.OverlayManager.CSS_FOCUSED", "host": "YAHOO.widget.OverlayManager", "name": "YAHOO.widget.OverlayManager.CSS_FOCUSED"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.TOP_LEFT", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.TOP_LEFT"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.TOP_RIGHT", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.TOP_RIGHT"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowResizeEvent", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.windowResizeEvent"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowResizeHandler", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.windowResizeHandler"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowScrollEvent", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.windowScrollEvent"}, {"url": "YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowScrollHandler", "host": "YAHOO.widget.Overlay", "name": "YAHOO.widget.Overlay.windowScrollHandler"}, {"url": "YAHOO.widget.Panel.html#YAHOO.widget.Panel.CSS_PANEL", "host": "YAHOO.widget.Panel", "name": "YAHOO.widget.Panel.CSS_PANEL"}, {"url": "YAHOO.widget.Panel.html#YAHOO.widget.Panel.CSS_PANEL_CONTAINER", "host": "YAHOO.widget.Panel", "name": "YAHOO.widget.Panel.CSS_PANEL_CONTAINER"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.CSS_SIMPLEDIALOG", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.CSS_SIMPLEDIALOG"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.ICON_ALARM", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.ICON_ALARM"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.ICON_BLOCK", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.ICON_BLOCK"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.ICON_HELP", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.ICON_HELP"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.ICON_INFO", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.ICON_INFO"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.ICON_TIP", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.ICON_TIP"}, {"url": "YAHOO.widget.SimpleDialog.html#YAHOO.widget.SimpleDialog.ICON_WARN", "host": "YAHOO.widget.SimpleDialog", "name": "YAHOO.widget.SimpleDialog.ICON_WARN"}, {"url": "YAHOO.widget.Tooltip.html#YAHOO.widget.Tooltip.CSS_TOOLTIP", "host": "YAHOO.widget.Tooltip", "name": "YAHOO.widget.Tooltip.CSS_TOOLTIP"}, {"url": "YAHOO.widget.Overlay.html#zIndex", "host": "YAHOO.widget.Overlay", "name": "zIndex"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class="selected"><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Config.html">YAHOO.util.Config</a></li>
                                <li class=""><a href="YAHOO.util.KeyListener.html">YAHOO.util.KeyListener</a></li>
                                <li class=""><a href="YAHOO.widget.ContainerEffect.html">YAHOO.widget.ContainerEffect</a></li>
                                <li class=""><a href="YAHOO.widget.Dialog.html">YAHOO.widget.Dialog</a></li>
                                <li class=""><a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a></li>
                                <li class=""><a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a></li>
                                <li class=""><a href="YAHOO.widget.OverlayManager.html">YAHOO.widget.OverlayManager</a></li>
                                <li class=""><a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a></li>
                                <li class=""><a href="YAHOO.widget.SimpleDialog.html">YAHOO.widget.SimpleDialog</a></li>
                                <li class=""><a href="YAHOO.widget.Tooltip.html">YAHOO.widget.Tooltip</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Config.js.html">Config.js</a></li>
                                <li class=""><a href="ContainerEffect.js.html">ContainerEffect.js</a></li>
                                <li class=""><a href="Dialog.js.html">Dialog.js</a></li>
                                <li class=""><a href="KeyListener.js.html">KeyListener.js</a></li>
                                <li class=""><a href="Module.js.html">Module.js</a></li>
                                <li class=""><a href="Overlay.js.html">Overlay.js</a></li>
                                <li class=""><a href="OverlayManager.js.html">OverlayManager.js</a></li>
                                <li class=""><a href="Panel.js.html">Panel.js</a></li>
                                <li class=""><a href="SimpleDialog.js.html">SimpleDialog.js</a></li>
                                <li class=""><a href="Tooltip.js.html">Tooltip.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
